include/cutlass/util/debug.h File Reference

Debugging and logging functionality. More...

`#include <stdio.h>`
Include dependency graph for include/cutlass/util/debug.h:

Go to the source code of this file.

## Namespaces

| cutlass

## Macros

#define | CUDA_LOG(format, ...) printf(format, __VA_ARGS__)
#define | CUDA_LOG_DEBUG(format, ...)
#define | CUDA_PERROR(e) cuda_perror_impl((cudaError_t)(e), __FILE__, __LINE__)
| Perror macro. More...
#define | CUDA_PERROR_EXIT(e)
| Perror macro with exit. More...
#define | CUDA_PERROR_DEBUG(e) (e)
| Perror macro only if DEBUG is defined. More...

## Functions

__host__ CUTLASS_DEVICE cudaError_t | cutlass::cuda_perror_impl (cudaError_t error, const char *filename, int line)
| The corresponding error message is printed to `stderr` (or `stdout` in device code) along with the supplied source context. More...

## Macro Definition Documentation

#define CUDA_LOG | ( |  | format,
|  |  | ...
| ) |  | printf(format, __VA_ARGS__)

Formats and prints the given message to stdout

#define CUDA_LOG_DEBUG | ( |  | format,
|  |  | ...
| ) |  |

Formats and prints the given message to stdout only if DEBUG is defined

#define CUDA_PERROR | ( |  | e | ) | cuda_perror_impl((cudaError_t)(e), __FILE__, __LINE__)

#define CUDA_PERROR_DEBUG | ( |  | e | ) | (e)

#define CUDA_PERROR_EXIT | ( |  | e | ) |

Value:
if (cuda_perror_impl((cudaError_t)(e), __FILE__, __LINE__)) { \
exit(1); \
}
cuda_perror_impl
__host__ CUTLASS_DEVICE cudaError_t cuda_perror_impl(cudaError_t error, const char *filename, int line)
The corresponding error message is printed to stderr (or stdout in device code) along with the suppli...
Definition: tools/util/include/cutlass/util/debug.h:76